let formJson = {
  column: [],
  labelPosition: "left",
  labelSuffix: "：",
  labelWidth: 180,
  gutter: 0,
  menuBtn: true,
  submitBtn: true,
  submitText: "下一步",
  emptyBtn: false,
  emptyText: "上一步",
  nextTabBtn: true,
  nextTabText: "下一页",
  menuPosition: "center",
  prevBtn: true,
  group: [
    {
      label: "个人信息",
      prop: "1669708504829_2651",
      arrow: true,
      collapse: true,
      display: true,
      labelWidth: 8,
      column: [
        {
          type: "input",
          display: true,
          importantField: false,
          styles: {},
          prop: "name",
          label: "姓名",
          fieldType: "varchar",
          fieldLength: "15",
          tableName: "患者信息",
          tableCode: "gas_patient_info",
          tableId: "1595347991491833857",
          notFilter: false,
          cType: "",
          subfield: false,
          autoRequired: 0,
          personalRequired: 0,
          lg: 12,
          span: 12,
          width: 24,
          xs: 12,
          sm: 12,
          md: 12,
          readonly: false,
          required: true,
          rules: [{ required: true, message: "姓名必须填写" }],
        },
        {
          type: "date",
          display: true,
          importantField: false,
          styles: {},
          format: "yyyy-MM-dd",
          valueFormat: "yyyy-MM-dd",
          prop: "survey_time",
          dicType: "",
          label: "调查时间",
          fieldType: "datetime",
          tableName: "问卷调查",
          tableCode: "gas_question",
          tableId: "1597462007689347074",
          notFilter: false,
          cType: "",
          subfield: false,
          span: 12,
          xs: 12,
          sm: 12,
          md: 12,
          lg: 12,
          required: true,
          rules: [{ required: true, message: "调查时间必须填写" }],
          personalRequired: 0,
        },
        {
          type: "input",
          display: true,
          importantField: false,
          styles: {},
          prop: "phone",
          label: "手机号",
          fieldType: "varchar",
          fieldLength: "15",
          tableName: "患者信息",
          tableCode: "gas_patient_info",
          tableId: "1595347991491833857",
          notFilter: false,
          cType: "",
          subfield: false,
          span: 12,
          xs: 12,
          sm: 12,
          md: 12,
          lg: 12,
          required: true,
          rules: [],
          pattern: "checkTel",
        },
        {
          type: "input",
          display: true,
          importantField: false,
          styles: {},
          prop: "link_phone",
          label: "联系号码",
          fieldType: "varchar",
          fieldLength: "128",
          tableName: "患者信息",
          tableCode: "gas_patient_info",
          tableId: "1595347991491833857",
          notFilter: false,
          cType: "",
          subfield: false,
          span: 12,
          xs: 12,
          sm: 12,
          md: 12,
          lg: 12,
          width: 24,
          rules: [{ required: true, message: "联系号码必须填写" }],
          required: true,
        },
        {
          type: "date",
          display: true,
          importantField: false,
          styles: {},
          prop: "birthday",
          label: "出生日期",
          fieldType: "date",
          fieldLength: "",
          format: "yyyy-MM-dd",
          valueFormat: "yyyy-MM-dd",
          dicType: "",
          tableName: "患者信息",
          tableCode: "gas_patient_info",
          tableId: "1595347991491833857",
          notFilter: false,
          cType: "",
          subfield: false,
          span: 12,
          xs: 12,
          sm: 12,
          md: 12,
          lg: 12,
          required: true,
          rules: [{ required: true, message: "出生日期必须填写" }],
          disabled: true,
          value: " ",
        },
        {
          type: "input",
          display: true,
          importantField: false,
          styles: {},
          prop: "age",
          label: "年龄",
          fieldType: "int",
          fieldLength: "11",
          tableName: "患者信息",
          tableCode: "gas_patient_info",
          tableId: "1595347991491833857",
          notFilter: false,
          cType: "",
          subfield: false,
          span: 12,
          xs: 12,
          sm: 12,
          md: 12,
          lg: 12,
          required: true,
          rules: [{ required: true, message: "年龄必须填写" }],
          readonly: false,
          disabled: true,
        },
        {
          type: "radio",
          display: true,
          importantField: false,
          styles: {},
          autoRequired: 0,
          personalRequired: 0,
          prop: "sex",
          dicData: [
            {
              label: "女",
              value: "2",
              id: "1595351964546281474",
              parentId: "",
            },
            {
              label: "男",
              value: "1",
              id: "1595351940139626497",
              parentId: "",
            },
          ],
          dynamicshSet: [],
          dicType: "d-sex",
          props: { label: "label", value: "value" },
          label: "性别",
          fieldType: "varchar",
          fieldLength: "20",
          tableName: "患者信息",
          tableCode: "gas_patient_info",
          tableId: "1595347991491833857",
          notFilter: false,
          cType: "",
          subfield: false,
          span: 24,
          xs: 24,
          sm: 24,
          md: 24,
          lg: 24,
          required: true,
          rules: [{ required: true, message: "请选择性别" }],
        },
      ],
    },
    {
      label: "家族史",
      prop: "1669708827460_97007",
      arrow: true,
      collapse: true,
      display: true,
      labelWidth: 8,
      column: [
        {
          type: "radio",
          display: true,
          importantField: false,
          styles: {},
          prop: "is_first_degree",
          label: "一级亲属（父母、子女、兄弟姐妹）罹患胃癌情况",
          dicData: [
            {
              label: "是",
              value: "1",
              id: "1595347527757000705",
              parentId: "",
            },
            {
              label: "否",
              value: "0",
              id: "1595347502595371010",
              parentId: "",
            },
          ],
          dynamicshSet: [
            { value: "1", target: "family_count" },
            { value: "1", target: "min_age" },
          ],
          dicType: "d-sf",
          props: { label: "label", value: "value" },
          fieldType: "tinyint",
          fieldLength: "2",
          tableName: "问卷调查",
          tableCode: "gas_question",
          tableId: "1597462007689347074",
          notFilter: false,
          cType: "",
          subfield: false,
          autoRequired: 0,
          personalRequired: 0,
          span: 24,
          xs: 24,
          sm: 24,
          md: 24,
          lg: 24,
          required: true,
          rules: [
            {
              required: true,
              message: "请选择一级亲属（父母、子女、兄弟姐妹）罹患胃癌情况",
            },
          ],
        },
        {
          type: "input",
          display: true,
          importantField: false,
          styles: {},
          prop: "family_count",
          label: "数量",
          fieldType: "int",
          fieldLength: "11",
          tableName: "问卷调查",
          tableCode: "gas_question",
          tableId: "1597462007689347074",
          notFilter: false,
          cType: "",
          subfield: false,
          span: 24,
          labelSuffix: "(1)",
          xs: 24,
          sm: 24,
          md: 24,
          lg: 24,
          required: true,
          rules: [{ required: true, message: "数量必须填写" }],
        },
        {
          type: "input",
          display: true,
          importantField: false,
          styles: {},
          prop: "min_age",
          label: "诊断时最小年龄",
          fieldType: "int",
          fieldLength: "11",
          tableName: "问卷调查",
          tableCode: "gas_question",
          tableId: "1597462007689347074",
          notFilter: false,
          cType: "",
          subfield: false,
          autoRequired: 0,
          personalRequired: 0,
          span: 24,
          labelSuffix: "(2)",
          xs: 24,
          sm: 24,
          md: 24,
          lg: 24,
          width: 24,
          rules: [{ required: true, message: "诊断时最小年龄必须填写" }],
          required: true,
        },
        {
          type: "radio",
          display: true,
          importantField: false,
          styles: {},
          prop: "is_other_sickness",
          label: "一级亲属罹患其他恶性肿瘤情况",
          fieldType: "tinyint",
          fieldLength: "2",
          dicData: [
            {
              label: "是",
              value: "1",
              id: "1595347527757000705",
              parentId: "",
            },
            {
              label: "否",
              value: "0",
              id: "1595347502595371010",
              parentId: "",
            },
          ],
          dynamicshSet: [
            { value: "1", target: "family_other_count" },
            { value: "1", target: "other_sickness" },
          ],
          dicType: "d-sf",
          props: { label: "label", value: "value" },
          tableName: "问卷调查",
          tableCode: "gas_question",
          tableId: "1597462007689347074",
          notFilter: false,
          cType: "",
          subfield: false,
          xs: 24,
          sm: 24,
          md: 24,
          lg: 24,
          span: 24,
          width: 24,
          rules: [
            { required: true, message: "请选择一级亲属罹患其他恶性肿瘤情况" },
          ],
          required: true,
          autoRequired: 0,
          personalRequired: 0,
          labelSuffix: "2",
        },
        {
          type: "input",
          display: true,
          importantField: false,
          styles: {},
          prop: "family_other_count",
          label: "一级亲属罹患其他恶性肿瘤数量",
          fieldType: "int",
          fieldLength: "11",
          dicData: [
            {
              label: "是",
              value: "1",
              id: "1595347527757000705",
              parentId: "",
            },
            {
              label: "否",
              value: "0",
              id: "1595347502595371010",
              parentId: "",
            },
          ],
          dynamicshSet: [],
          dicOption: "static",
          dicType: "",
          props: { label: "label", value: "value" },
          tableName: "问卷调查",
          tableCode: "gas_question",
          tableId: "1597462007689347074",
          notFilter: false,
          cType: "",
          subfield: false,
          lg: 24,
          xs: 24,
          sm: 24,
          md: 24,
          autoRequired: 0,
          personalRequired: 0,
          span: 24,
          width: 24,
          labelSuffix: "(1)",
          required: true,
          rules: [
            { required: true, message: "一级亲属罹患其他恶性肿瘤数量必须填写" },
          ],
        },
        {
          type: "input",
          display: true,
          importantField: false,
          styles: {},
          prop: "other_sickness",
          label: "一级亲属罹患其它恶性肿瘤名称",
          fieldType: "varchar",
          fieldLength: "255",
          tableName: "问卷调查",
          tableCode: "gas_question",
          tableId: "1597462007689347074",
          notFilter: false,
          cType: "",
          subfield: false,
          autoRequired: 0,
          personalRequired: 0,
          span: 24,
          labelSuffix: "(2)",
          xs: 24,
          sm: 24,
          md: 24,
          lg: 24,
          width: 24,
          rules: [
            { required: true, message: "一级亲属罹患其它恶性肿瘤名称必须填写" },
          ],
          required: true,
        },
      ],
    },
  ],
}
